Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class ClosureInvokingAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.codehaus.groovy.grails.webflow.engine.builder.ClosureInvokingAction

    class ClosureInvokingAction
    extends org.springframework.webflow.action.AbstractAction

Invokes a closure as a Webflow action placing the returned model within the flow scope.

Authors:
  Graeme Rocher

Since:
  0.6

Property Summary
`java.lang.Object` | `applicationContext`
`groovy.lang.Closure` | `callable`
`java.lang.Object` | `commandClasses`
`boolean` | `hasCommandObjects`
`java.lang.Object` | `noOfParams`

Constructor Summary
`ClosureInvokingAction(groovy.lang.Closure callable)`

Method Summary
`java.lang.Object` | `checkAppContext()`
`java.lang.Object` | `checkForErrors(java.lang.Object context, java.lang.Object scope)`
`protected Event` | `doExecute(org.springframework.webflow.execution.RequestContext context)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`

Methods inherited from class org.springframework.webflow.action.AbstractAction
org.springframework.webflow.action.AbstractAction#execute(org.springframework.webflow.execution.RequestContext), org.springframework.webflow.action.AbstractAction#afterPropertiesSet(), org.springframework.webflow.action.AbstractAction#getEventFactorySupport(), org.springframework.webflow.action.AbstractAction#wait(), org.springframework.webflow.action.AbstractAction#wait(long), org.springframework.webflow.action.AbstractAction#wait(long, int), org.springframework.webflow.action.AbstractAction#equals(java.lang.Object), org.springframework.webflow.action.AbstractAction#toString(), org.springframework.webflow.action.AbstractAction#hashCode(), org.springframework.webflow.action.AbstractAction#getClass(), org.springframework.webflow.action.AbstractAction#notify(), org.springframework.webflow.action.AbstractAction#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    java.lang.Object applicationContext

### callable

    groovy.lang.Closure callable

### commandClasses

    java.lang.Object commandClasses

### hasCommandObjects

    boolean hasCommandObjects

### noOfParams

    java.lang.Object noOfParams

Constructor Detail

### ClosureInvokingAction

    ClosureInvokingAction(groovy.lang.Closure callable)

Method Detail

### checkAppContext

    java.lang.Object checkAppContext()

### checkForErrors

    java.lang.Object checkForErrors(java.lang.Object context, java.lang.Object scope)

### doExecute

    protected Event doExecute(org.springframework.webflow.execution.RequestContext context)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

Groovy Documentation